package s3

import (
	"fmt"
	"log"
	"segmento/pkg/playlist"

	"github.com/aws/aws-sdk-go/aws"
	"github.com/aws/aws-sdk-go/aws/session"
)

const DefaultAwsRegion = "eu-west-1"

func init() {
	sess, err := session.NewSession(&aws.Config{Region: aws.String(DefaultAwsRegion)})
	if err != nil {
		log.Fatal(err)
	}
}

type Consumer struct {
	S3Bucket     string
	S3PathPrefix string
}

func NewConsumer(bucket string, pathPrefix string) *Consumer {
	c := Consumer{bucket, pathPrefix}
	return &c
}

func (c *Consumer) PlaylistUpdated(p playlist.Playlist) {
	fmt.Println("s3: PlaylistUpdated")
}

func (c *Consumer) PlaylistSegmentAdded(p playlist.Playlist, s *playlist.PlaylistSegment) {
	fmt.Println("s3: PlaylistSegmentAdded")
}
